apiVersion: apps/v1
kind: Deployment
metadata:
  name: {{ include "app.fullname" . }}
  labels:
    {{- include "app.labels" . | nindent 4 }}
spec:
  replicas: {{ .Values.scaling.replicas }}
  selector:
     matchLabels:
      {{- include "app.selectorLabels" . | nindent 6 }}
  template:
    metadata:
      labels:
        {{- include "app.selectorLabels" . | nindent 8 }}
    spec:
      containers:
      - name: {{ .Chart.Name }}
        image: {{ .Values.pod.image }}:{{ .Chart.AppVersion }}
        imagePullPolicy: {{ .Values.pod.imagePullPolicy }}
        ports:
        - containerPort: 3000
        readinessProbe:
          httpGet:
            path: /
            port: 3000
          initialDelaySeconds: 5
          periodSeconds: 5
        livenessProbe:
          httpGet:
            path: /      
            port: 3000
          initialDelaySeconds: 20
          periodSeconds: 20
          failureThreshold: 3
      imagePullSecrets:
        - name: {{ .Values.pod.imagePullSecret }}
